%% PLOT OF (for interest)

f1 = 2.751 ; % rad/s

fi     = linspace(0,6.28, 100) ;
Amp_1 = linspace(0,0.7, 100) ;
[fi, Amp_1] = meshgrid(fi, Amp_1) ;
Amp_2 = linspace(0,1,6) ;

for g = 1:length(Amp_2) 
    for i = 1:length(fi)
        for j = 1:length(fi)
        [~, ~, ~, ~, ~, Conv_III(i,j,g), Css, ~, ~, ~, ~, ~, MF_A_III_mean(i,j,g)]...
        = combination11_sims(f1, Amp_1(i,j), Amp_2(1,g), fi(i,j), I_s, T_s, y_A_in, F_in) ;
        end
     end
end

figure(1)
surf(fi,Amp_1,-Conv_III(:,:,1))
hold on
surf(fi,Amp_1,-Conv_III(:,:,2))
surf(fi,Amp_1,-Conv_III(:,:,3))
surf(fi,Amp_1,-Conv_III(:,:,4))
surf(fi,Amp_1,-Conv_III(:,:,5))
surf(fi,Amp_1,-Conv_III(:,:,6))
xlabel('fi')
ylabel('Amp_1')
zlabel('Conversion')
legend('Amp_2 = 0','Amp_2 = 0.1','Amp_2 = 0.2','Amp_2 = 0.3','Amp_2 = 0.4','Amp_2 = 0.5')